/* $Log:	postamble.c,v $
 * Revision 0.8  92/11/23  19:46:54  19:46:54  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:38  02:41:38  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:36  21:48:36  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:42  16:25:42  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:45:58  02:45:58  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:49  12:45:49  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:28:59  17:28:59  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

/* 
 * Process the postamble. It sets the pointer to the final bop
 * in the dvi file and checks agreement with the corresponding values from
 * the preamble. 
 */

#include <stdio.h>
#include "dvi.h"
#include "globals.h"
#include "macros.h"

static char rcsid[] = "$Header: postamble.c,v 0.8 92/11/23 19:46:54 bt Exp $";

void postamble(dvifile)
FILE	*dvifile;
{ 
	int	c, t;
	long	p;

	lastpage = (long)getsquad(dvifile);
	if(numerator != (long)getsquad(dvifile))
		fprintf(stderr,"Warning: Pre-post disagreement in numerator\n");
	if(denominator != (long)getsquad(dvifile))
		fprintf(stderr,"Warning: Pre-post disagreement in denominator\n");
	if(magnification != (long)getsquad(dvifile))
		fprintf(stderr,"Warning: Pre-post disagreement in magnification\n");

	maxv = (long)getsquad(dvifile);
	maxh = (long)getsquad(dvifile);
	maxs = (int)getspair(dvifile);
	t = (int)getspair(dvifile);

	while(TRUE)
	{ 
		while((c = (int)getubyte(dvifile)) == DVI_NOP);
		if((c >= DVI_FNT_DEF1) && (c <= DVI_FNT_DEF2))
		{ 
			p = firstpar(dvifile, c);
			checkfont(dvifile, p);
		}
		if(c == DVI_POSTPOST) break;
	}
}
